Summary: Calico CLI tool
Name: calicoctl
Version: 3.3.1
Release: 1
License: ASL 2.0
URL: http://www.projectcalico.org

# Download https://github.com/projectcalico/calicoctl/archive/v3.3.1.tar.gz
# Run glide install --strip-vendor
Source: calicoctl-3.3.1+vendor.tar.gz
Patch: calicoctl-3.3.1-aix.patch

Group: Applications/System

BuildRequires: golang

%description
The calicoctl command line interface provides a number of resource
management commands to allow you to create, modify, delete, and view
the different Calico resources.

%prep

%setup -q

%patch -p1 -b .aix

%build
export PATH=/usr/bin:/etc:/usr/sbin:/sbin:/opt/freeware/lib/golang/bin:/opt/freeware/bin

mkdir -p ./_build/src/github.com/projectcalico/
ln -s $(pwd) ./_build/src/github.com/projectcalico/calicoctl

export GOPATH=$(pwd)/_build
export GOFLAGS="-gcflags=all=-trimpath=$GOPATH"

ulimit -d unlimited
ulimit -m unlimited
ulimit -s unlimited
ulimit -f unlimited

# calicoctl
go build -v -o dist/calicoctl github.com/projectcalico/calicoctl/calicoctl

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
strip -X64 -t dist/calicoctl
/usr/bin/install -M 0755 -f ${RPM_BUILD_ROOT}%{_bindir} dist/calicoctl

%pre
# Processor Version: PV_8_Compat
# Processor Version: PV_7_Compat
# Processor Version: PV_6_Compat
ProcVersion=`prtconf | grep "Processor Version:" | awk -F_ '{ print $2}'`
#echo $ProcVersion
if [ $ProcVersion -lt 8 ]
then
        echo "This rpm won't work with Power $ProcVersion compatibiliy mode."
        echo "prtconf: "
        prtconf | grep "Processor Version:"
        exit 1
fi

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc README.md
%license LICENSE
%{_bindir}/calicoctl

%changelog
* Wed Mar 20 2019 Ayappan P <ayappap2@in.ibm.com> - 3.3.1-1
- AIX Toolbox build

* Fri Mar  1 2019 Damien Bergamini - 3.3.1-1
- Initial port of calicoctl 3.3.1 to AIX

* Tue Aug 21 2018 Damien Bergamini - 2.0.2-1
- Initial port of calicoctl 2.0.2 to AIX
